Name:		 rumor
Version:	 1.0.5
Release:	 13%{?dist}
Summary:	 Really Unintelligent Music transcriptOR 
Group:		 Applications/Multimedia
License:	 GPLv2+
URL:		 http://launchpad.net/rumor
Source0:	 http://launchpad.net/rumor/trunk/%{version}/+download/rumor-%{version}.tar.bz2
Patch0:	 rumor-gcc60.patch
BuildRoot:	 %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:	 alsa-lib-devel
BuildRequires:	 guile-devel
BuildRequires:   automake, autoconf, texinfo
Requires(post):	 info
Requires(preun): info

%description
Rumor is a realtime monophonic (with chords) MIDI keyboard to Lilypond 
converter. It receives MIDI events, quantizes them according to its metronome
on the fly and outputs handwritten-like corresponding Lilypond notation. Tempo,
meter, key and other parameters can be set via command-line options.

%prep
%setup -q
%patch0 -p0

./autogen.sh
# Impose optflags
sed -i 's|-O0||' configure

%build
%configure
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
# Remove unwanted file:
rm -f $RPM_BUILD_ROOT%{_infodir}/dir

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/install-info %{_infodir}/%{name}.info %{_infodir}/dir || :

%preun
if [ $1 = 0 ] ; then
  /sbin/install-info --delete %{_infodir}/%{name}.info %{_infodir}/dir || :
fi

%files
%defattr(-,root,root,-)
%doc AUTHORS NEWS COPYING README TODO
%{_bindir}/%{name}
%{_infodir}/%{name}.info*

%changelog
* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.5-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Thu Feb 25 2016 Jon Ciesla <limburgher@gmail.com> - 1.0.5-12
- Fix FTBFS.

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.5-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Fri Jun 19 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.5-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat May 02 2015 Kalev Lember <kalevlember@gmail.com> - 1.0.5-9
- Rebuilt for GCC 5 C++11 ABI change

* Mon Aug 18 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.5-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.5-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.5-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.5-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.5-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Tue Feb 28 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.5-3
- Rebuilt for c++ ABI breakage

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Fri May 27 2011 Jon Ciesla <limb@jcomserv.net> - 1.0.5-1
- Fixed URL.
- New upstream.
- Patch for FTBFS for guile 2.0.1, BZ 704535.

* Mon Mar 28 2011 Orcan Ogetbil <oget [DOT] fedora [AT] gmail [DOT] com> - 1.0.3b-5
- Updated license field per the developer response (GPLv2 to GPLv2+). This was
  needed for RHBZ#678238

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.3b-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0.3b-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Sat Mar 21 2009 Orcan Ogetbil <oget [DOT] fedora [AT] gmail [DOT] com> - 1.0.3b-2
- Remove -O0 flag altogether instead of replacing with -O2
- Fix mixed usage of tabs&spaces

* Sun Mar 15 2008 Orcan Ogetbil <oget [DOT] fedora [AT] gmail [DOT] com> - 1.0.3b-1
- Initial build
